import { ChannelConfigurations } from "./IDeviceChannel";
var DeviceChannel = (function () {
    function DeviceChannel() {
        this._number = 0;
        this._name = "";
        this._iconName = "";
        this._states = [];
        this._mode = ChannelConfigurations.Default;
        this._channelGroups = [];
        this._ishidden = false;
        this._availableTasks = [];
        this._availableResponses = [];
    }
    Object.defineProperty(DeviceChannel.prototype, "Number", {
        get: function () {
            return this._number;
        },
        set: function (value) {
            this._number = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "Name", {
        get: function () {
            return this._name;
        },
        set: function (value) {
            this._name = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "IconName", {
        get: function () {
            return this._iconName;
        },
        set: function (value) {
            this._iconName = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "States", {
        get: function () {
            return this._states;
        },
        set: function (value) {
            this._states = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "State", {
        set: function (value) {
            throw new Error("Method not implemented.");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "Mode", {
        get: function () {
            return this._mode;
        },
        set: function (value) {
            this._mode = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "ChannelGroups", {
        get: function () {
            return this._channelGroups;
        },
        set: function (value) {
            this._channelGroups = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "IsHidden", {
        get: function () {
            return this.IsHidden;
        },
        set: function (value) {
            this.IsHidden = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "AvailableTasks", {
        get: function () {
            return this._availableTasks;
        },
        set: function (value) {
            this._availableTasks = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "AvailableResponses", {
        get: function () {
            return this._availableResponses;
        },
        set: function (value) {
            this._availableResponses = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "AvailableTaskTypes", {
        get: function () {
            throw new Error("Method not implemented.");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "AvailableResponseTypes", {
        get: function () {
            throw new Error("Method not implemented.");
        },
        enumerable: false,
        configurable: true
    });
    DeviceChannel.prototype.ExecuteTaskAsync = function (task) {
        throw new Error("Method not implemented.");
    };
    return DeviceChannel;
}());
export { DeviceChannel };
//# sourceMappingURL=DeviceChannel.js.map