import { IDIService } from "./IDIService";
import { CancelationTokenSource } from './CancelationTokenSource';
export declare class Api {
    static Version: number;
    static Init(): void;
    static GetAsync<T extends IDIService>(classType: {
        new (...params: any[]): T;
    }, cancelationToken?: CancelationTokenSource): Promise<T>;
    static GetWithTimeoutAsync<T extends IDIService>(classType: {
        new (...params: any[]): T;
    }, timeout: number): Promise<T>;
    static Get<T extends IDIService>(classType: {
        new (...params: any[]): T;
    }): T;
}
