import { DeviceResponseTypeInfo, DeviceTaskTypeInfo } from "./IDevice";
import { ChannelConfigurations, IDeviceChannel } from "./IDeviceChannel";
import { IDeviceState } from "./IDeviceState";
import { IDeviceTask } from "./IDeviceTask";
import { DeviceTaskExecutionResult } from "./TaskExecutionResult";
export declare class DeviceChannel implements IDeviceChannel {
    private _number;
    private _name;
    private _iconName;
    private _states;
    private _mode;
    private _channelGroups;
    private _ishidden;
    private _availableTasks;
    private _availableResponses;
    get Number(): number;
    set Number(value: number);
    get Name(): string;
    set Name(value: string);
    get IconName(): string;
    set IconName(value: string);
    get States(): IDeviceState[];
    set States(value: IDeviceState[]);
    set State(value: IDeviceState);
    get Mode(): ChannelConfigurations;
    set Mode(value: ChannelConfigurations);
    get ChannelGroups(): string[];
    set ChannelGroups(value: string[]);
    get IsHidden(): boolean;
    set IsHidden(value: boolean);
    get AvailableTasks(): string[];
    set AvailableTasks(value: string[]);
    get AvailableResponses(): string[];
    set AvailableResponses(value: string[]);
    get AvailableTaskTypes(): DeviceTaskTypeInfo[];
    get AvailableResponseTypes(): DeviceResponseTypeInfo[];
    ExecuteTaskAsync(task: IDeviceTask): Promise<DeviceTaskExecutionResult>;
}
