import { IDIService } from "../IDIService";
export interface ILocalStorageService extends IDIService {
    Save(inContextOf: {
        new (...params: any[]): any;
    }, objectId: string, data: any): void;
    Read<T>(inContextOf: {
        new (...params: any[]): any;
    }, objectId: string): T | null;
    Remove(inContextOf: {
        new (...params: any[]): any;
    }, objectId: string): void;
    DropStorage(inContextOf: {
        new (...params: any[]): any;
    }): void;
}
